WatsonSpeechToTextEndpointBuilderFactory.WatsonSpeechToTextEndpointBuilder.apiKey(String apiKey)
The IBM Cloud API key for authentication.
WatsonSpeechToTextEndpointBuilderFactory.AdvancedWatsonSpeechToTextEndpointBuilder.basic()
WatsonSpeechToTextEndpointBuilderFactory.WatsonSpeechToTextEndpointBuilder.contentType(String contentType)
The audio format (MIME type).
IBM Watson Speech to Text (camel-ibm-watson-speech-to-text)
Convert speech audio to text using IBM Watson Speech to Text
Category: ai,cloud
Since: 4.17
Maven coordinates: org.apache.camel:camel-ibm-watson-speech-to-text
Syntax: ibm-watson-speech-to-text:label
Path parameter: label (required)
Logical name
IBM Watson Speech to Text (camel-ibm-watson-speech-to-text)
Convert speech audio to text using IBM Watson Speech to Text
Category: ai,cloud
Since: 4.17
Maven coordinates: org.apache.camel:camel-ibm-watson-speech-to-text
Syntax: ibm-watson-speech-to-text:label
Path parameter: label (required)
Logical name
WatsonSpeechToTextEndpointBuilderFactory.WatsonSpeechToTextEndpointBuilder.model(String model)
The language model to use for recognition.
WatsonSpeechToTextEndpointBuilderFactory.WatsonSpeechToTextEndpointBuilder.operation(String operation)
The operation to perform.
WatsonSpeechToTextEndpointBuilderFactory.WatsonSpeechToTextEndpointBuilder.operation(org.apache.camel.component.ibm.watson.stt.WatsonSpeechToTextOperations operation)
The operation to perform.
WatsonSpeechToTextEndpointBuilderFactory.WatsonSpeechToTextEndpointBuilder.serviceUrl(String serviceUrl)
The service endpoint URL.
WatsonSpeechToTextEndpointBuilderFactory.WatsonSpeechToTextEndpointBuilder.speakerLabels(boolean speakerLabels)
Whether to identify different speakers in the audio.
WatsonSpeechToTextEndpointBuilderFactory.WatsonSpeechToTextEndpointBuilder.speakerLabels(String speakerLabels)
Whether to identify different speakers in the audio.
WatsonSpeechToTextEndpointBuilderFactory.WatsonSpeechToTextEndpointBuilder.timestamps(boolean timestamps)
Whether to include timestamps for each word in the transcription.
WatsonSpeechToTextEndpointBuilderFactory.WatsonSpeechToTextEndpointBuilder.timestamps(String timestamps)
Whether to include timestamps for each word in the transcription.
WatsonSpeechToTextEndpointBuilderFactory.WatsonSpeechToTextEndpointBuilder.wordConfidence(boolean wordConfidence)
Whether to include confidence scores for each word.
WatsonSpeechToTextEndpointBuilderFactory.WatsonSpeechToTextEndpointBuilder.wordConfidence(String wordConfidence)
Whether to include confidence scores for each word.